<IfModule mod_rewrite.c>
RewriteEngine on
RewriteCond $1 !^(index\.php|resources|robots\.txt)
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^(.*)$ index.php/$1 [L,QSA]

#RewriteEngine On
#RewriteBase /
#RewriteCond %{REQUEST_FILENAME} !-f
#RewriteCond %{REQUEST_FILENAME} !-d
#RewriteRule ^(.*)$ index.php/$1 [L]

#    RewriteEngine On
#    RewriteCond %{REQUEST_URI} ^system.*
#    RewriteRule ^(.*)$ /index.php?/$1 [L]
#    RewriteCond %{REQUEST_URI} ^application.*
#    RewriteRule ^(.*)$ /index.php?/$1 [L]
#    RewriteCond %{REQUEST_URI} ^asset.*
#    RewriteRule ^(.*)$ /index.php?/$1 [L]
#    RewriteCond %{REQUEST_FILENAME} !-f
#    RewriteCond %{REQUEST_FILENAME} !-d
#    RewriteRule ^(.*)$ index.php/$1 [L]
</IfModule>